<div class="columns">

  <div class="column is-one-quarter">

    <section class="section is-fullwidth">
      <div class="container is-fluid">

        <!--<div class="heading">
          <h1 class="title">Räume</h1>
          <h2 class="subtitle">Seminar- und Sitzungsräume</h2>
        </div>
        <hr>-->

        <div class="content">
          <nav class="panel" id="roomPanel">
            <div class="panel-heading">Räume</div>
            <a ng-repeat="room in rooms"
               ng-click="selectRoom($event, room)"
               class="panel-block"
               ng-class='{active:$first}'>{{room.name}}</a>
          </nav>
          <div class="box">
            <div>
              <h4>{{selectedRoom.name}}</h4>
            </div>
            <div class="image">
              <a ng-click="showImage(selectedRoom)">
                <figure class="image is-4by3">
                  <img src="{{selectedRoom.image ? imageApi + selectedRoom.image : placeholderImage}}"
                       alt="Bild des Raumes">
                </figure>
              </a>
            </div>
            <div>
              <strong>Ausstattung:</strong>
              <p>{{selectedRoom.equipment}}</p>
            </div>
          </div><!-- .box -->
        </div> <!-- .content -->
      </div><!-- .container -->
    </section>
  </div><!-- .column -->

  <div class="column">
    <div class="container is-fluid">
      <section class="section">
      <div class="container is-fluid">
        <div class="heading">
          <h1 class="title">Raumbelegung - {{selectedRoom.name}}</h1>
          <h2 class="subtitle">Raum {{selectedRoom.nr}}</h2>
        </div>
        <hr>

        <div class="columns">

          <div class="column" style="background-color: #eeeeee;">
            <p class="control has-addons is-fullwidth">
              <a class="button"
                 ng-click="updateMonth(-1)">
                <span class="icon">
                  <i class="fa fa-angle-left"></i>
                </span>
                <span>Monat zurück</span>
              </a>
            </p>
          </div><!-- .column -->

          <div class="column" style="background-color: #eeeeee;">
            <div class="control is-grouped">
              <span class="control select is-fullwidth">
                <select ng-model="month"
                        ng-change="getDaysInMonth()">
                  <option ng-repeat="month in monthsInYear"
                          ng-value="month.nr"
                          value="{{month.nr}}">{{month.name}}</option>
                </select>
              </span>
              <span class="control select is-fullwidth">
                <select ng-model="year"
                        ng-change="getDaysInMonth()">
                  <option ng-repeat="year in years"
                          ng-value="year"
                          value="{{year}}">{{year}}</option>
                </select>
              </span>
            </div>
          </div><!-- .column -->

          <div class="column" style="background-color: #eeeeee;">
            <p class="control has-addons is-pulled-right">
              <a class="button is-fullwidth"
                      ng-click="updateMonth(1)">
                <span>Monat vor</span>
                <span class="icon">
                  <i class="fa fa-angle-right"></i>
                </span>
              </a>
            </p>
          </div><!-- .column -->

        </div><!-- .columns -->

        <div class="is-fullwidth">
          <ul class="weekdays">
            <li ng-repeat="weekday in weekdays" class="">{{weekday}}</li>
          </ul>
        </div>

        <div class="is-fullwidth">

          <div class="columns is-multiline is-gapless" id="calendar">

            <div class="column" ng-repeat="day in daysInMonth">
              <div ng-hide="day.nr == 0"
                   class="calendar-day">
                <div class="calendar-day-heading">
                  {{day.nr}}
                </div>
                <div class="calendar-day-body">
                  <p ng-repeat="event in day.events">
                    <a ng-click="showEvent(event)"
                       style="min-width:100%;max-width: 100%;">
                      {{event.timeBegin | date: 'shortTime' }} <br/> {{event.name}}
                    </a>
                  </p>
                </div>
              </div>

            </div><!-- .column -->

          </div><!-- .columns -->

          <div class="has-text-right">
            <a class="icon is-medium"
               href="http://lers051/fa/AW/index.php/admin"
               target="_blank"
               title="Eintrag hinzufügen">
              <i class="fa fa-plus-circle"></i>
            </a>
          </div>
        </div>
      </div>

      <div class="modal" id="event-dialog">
          <div class="modal-background" ng-click="hideEvent()"></div>
          <div class="modal-container">
            <div class="modal-content">
              <section class="hero is-primary">
                <div class="hero-content has-text-centered">
                  <div class="container">
                    <h1 class="title">{{selectedEvent.name}}</h1>
                    <h2 class="subtitle">{{selectedEvent.contact}}</h2>
                  </div>
                </div>
              </section>
              <section class="section">
                <div class="columns">
                  <div class="column"></div>
                  <div class="column is-half">
                    <p>Name: <span class="is-pulled-right">{{selectedEvent.name}}</span></p>
                    <p>Ansprechtpartner: <span class="is-pulled-right">{{selectedEvent.contact}}</span></p>
                    <p>Raum: <span class="is-pulled-right">{{selectedRoom.name}}</span></p>
                    <p>Beginn: <span class="is-pulled-right">{{selectedEvent.timeBegin | date: 'shortTime'}} Uhr</span></p>
                    <p>Ende (voraussichtlich): <span class="is-pulled-right">{{selectedEvent.timeEnd | date: 'shortTime'}} Uhr</span></p>
                  </div>
                  <div class="column"></div>
                </div>
              </section>
            </div>
          </div>
          <button class="modal-close" ng-click="hideEvent()"></button>
        </div><!-- .modal -->

        <div class="modal" id="image-dialog">
          <div class="modal-background" ng-click="hideImage()"></div>
          <div class="modal-container">
            <div class="modal-content">
              <figure class="image is-4by3">
                <img src="{{largeImageUrl}}" alt="">
              </figure>
            </div>
          </div>
          <button class="modal-close" ng-click="hideImage()"></button>
        </div><!-- .modal -->

      </section>
    </div><!-- .container -->
  </div><!-- .column -->
</div><!-- .columns -->
